/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The AvailablePairs model module.
 * @module model/AvailablePairs
 * @version 2021.12-dev21
 */
class AvailablePairs {
    /**
     * Constructs a new <code>AvailablePairs</code>.
     * @alias module:model/AvailablePairs
     * @param length {Number} 
     * @param pairs {Array.<String>} 
     * @param pairInterval {Array.<Array.<String>>} 
     */
    constructor(length, pairs, pairInterval) { 
        
        AvailablePairs.initialize(this, length, pairs, pairInterval);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, length, pairs, pairInterval) { 
        obj['length'] = length;
        obj['pairs'] = pairs;
        obj['pair_interval'] = pairInterval;
    }

    /**
     * Constructs a <code>AvailablePairs</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/AvailablePairs} obj Optional instance to populate.
     * @return {module:model/AvailablePairs} The populated <code>AvailablePairs</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new AvailablePairs();

            if (data.hasOwnProperty('length')) {
                obj['length'] = ApiClient.convertToType(data['length'], 'Number');
            }
            if (data.hasOwnProperty('pairs')) {
                obj['pairs'] = ApiClient.convertToType(data['pairs'], ['String']);
            }
            if (data.hasOwnProperty('pair_interval')) {
                obj['pair_interval'] = ApiClient.convertToType(data['pair_interval'], [['String']]);
            }
        }
        return obj;
    }


}

/**
 * @member {Number} length
 */
AvailablePairs.prototype['length'] = undefined;

/**
 * @member {Array.<String>} pairs
 */
AvailablePairs.prototype['pairs'] = undefined;

/**
 * @member {Array.<Array.<String>>} pair_interval
 */
AvailablePairs.prototype['pair_interval'] = undefined;






export default AvailablePairs;

